<?php

/*
 * Update Dark_Veter January 17, 2017
 * 
  $username - iCloud Apple ID
  $password
 */

function messageToMyiPhone($username, $password, $message, $subject = "", $sound = true, $id = 0) {
    if ($message == "") {
        return 0;
    }
    $id = (int) $id;
    require_once(ROOT . 'lib/findMyiPhone/FindMyiPhone.php');

    try {
        $FindMyiPhone = new FindMyiPhone($username, $password, TRUE);
        $FindMyiPhone->getDevices();
        foreach ($FindMyiPhone->devices as $device) {
            $devices[] = $device;
        }
        $device_id = $devices[$id]->ID;
        $FindMyiPhone->sendMessage($device_id, $message, (bool) $sound, $subject);
    } catch (exception $e) {
        echo 'ERROR: ' . $e->getMessage();
    }
}

function soundToMyiPhone($username, $password, $subject = "", $id = 0) {
    $id = (int) $id;
    require_once(ROOT . 'lib/findMyiPhone/FindMyiPhone.php');
    try {
        $FindMyiPhone = new FindMyiPhone($username, $password);
        $FindMyiPhone->getDevices();
        foreach ($FindMyiPhone->devices as $device) {
            $devices[] = $device;
        }
        $device_id = $devices[$id]->ID;
        $FindMyiPhone->playSound($device_id, $subject);
    } catch (exception $e) {
        echo 'ERROR: ' . $e->getMessage();
    }
}

function lockToMyiPhone($username, $password, $message, $phoneNumber = "", $id = 0) {
    if ($message == "") {
        return 0;
    }
    $id = (int) $id;
    require_once(ROOT . 'lib/findMyiPhone/FindMyiPhone.php');
    try {
        $FindMyiPhone = new FindMyiPhone($username, $password);
        $FindMyiPhone->getDevices();
        foreach ($FindMyiPhone->devices as $device) {
            $devices[] = $device;
        }
        $device_id = $devices[$id]->ID;
        $FindMyiPhone->lostMode($device_id, $message, $phoneNumber);
    } catch (exception $e) {
        echo 'ERROR: ' . $e->getMessage();
    }
}

function findMyiPhone($username, $password, $id = 0, $timeout = 60) {
    require_once(ROOT . 'lib/findMyiPhone/FindMyiPhone.php');
    try {
        $FindMyiPhone = new FindMyiPhone($username, $password);
        $FindMyiPhone->getDevices();
        foreach ($FindMyiPhone->devices as $device) {
            $devices[] = $device;
        }
        $iPhone = array();

        $iPhone['name'] = $devices[$id]->name;
        $iPhone['batteryLevel'] = $devices[$id]->batteryLevel * 100;
        $iPhone['batteryStatus'] = ($devices[$id]->batteryStatus == "NotCharging") ? 0 : 1;
        $iPhone['deviceModel'] = $devices[$id]->model;
        $iPhone['deviceClass'] = $devices[$id]->class;

        $device_id = $devices[$id]->ID;
        $location = $FindMyiPhone->locate($device_id, $timeout);
        $iPhone['latitude'] = $location->latitude;
        $iPhone['longitude'] = $location->longitude;
        $iPhone['timeStamp'] = $location->timestamp;
        $iPhone['accuracy'] = $location->horizontalAccuracy;
        $iPhone['locationType'] = $location->positionType;

        $iPhone['accuracy'] = isset($iPhone['accuracy']) ? $iPhone['accuracy'] : 0;

        if (isset($_REQUEST['altitude'])) {
            $iPhone['altitude'] = round($_REQUEST['altitude'], 2);
        } else {
            $iPhone['altitude'] = 0;
        }

        if (isset($_REQUEST['provider'])) {
            $iPhone['provider'] = $_REQUEST['provider'];
        } else {
            $iPhone['provider'] = '';
        }

        if (isset($_REQUEST['speed'])) {
            $iPhone['speed'] = round($_REQUEST['speed'], 2);
        } else {
            $iPhone['speed'] = 0;
        }

        $url = BASE_URL . '/gps.php?latitude=' . $iPhone['latitude']
                . '&longitude=' . $iPhone['longitude']
                . '&altitude=' . $iPhone['altitude']
                . '&accuracy=' . $iPhone['accuracy']
                . '&provider=' . $iPhone['provider']
                . '&speed=' . $iPhone['speed']
                . '&battlevel=' . $iPhone['batteryLevel']
                . '&charging=' . $iPhone['batteryStatus']
                . '&deviceid=' . $iPhone['name'];

        getURL($url, 0);

    } catch (exception $e) {
        echo 'ERROR: ' . $e->getMessage();
    }
}

?>